LibreOffice LibreOffice 7.2 SDK API Reference

Variables
com::sun::star::sdbc::TransactionIsolation Constant Group Referencepublished

distinguishes different possible transaction isolation levels. More...

## Variables
const long | NONE = 0
| indicates that transactions are not supported. More...
const long | READ_UNCOMMITTED = 1
| Dirty reads, non-repeatable reads and phantom reads can occur. More...
const long | READ_COMMITTED = 2
| Dirty reads are prevented; non-repeatable reads and phantom reads can occur. More...
const long | REPEATABLE_READ = 4
| Dirty reads and non-repeatable reads are prevented; phantom reads can occur. More...
const long | SERIALIZABLE = 8
| Dirty reads, non-repeatable reads and phantom reads are prevented. More...

## Detailed Description

distinguishes different possible transaction isolation levels.

Developers Guide
  Database - Using DBMS Features - Transaction Handling

## Variable Documentation

## ◆ NONE

const long NONE = 0

indicates that transactions are not supported.

## ◆ READ_COMMITTED

const long READ_COMMITTED = 2

Dirty reads are prevented; non-repeatable reads and phantom reads can occur.

This level only prohibits a transaction from reading a row with uncommitted changes in it.

## ◆ READ_UNCOMMITTED

const long READ_UNCOMMITTED = 1

Dirty reads, non-repeatable reads and phantom reads can occur.

This level allows a row changed by one transaction to be read by another transaction before any changes in that row have been committed (a "dirty read"). If any of the changes are rolled back, the second transaction will have retrieved an invalid row.

## ◆ REPEATABLE_READ

const long REPEATABLE_READ = 4

Dirty reads and non-repeatable reads are prevented; phantom reads can occur.

This level prohibits a transaction from reading a row with uncommitted changes in it, and it also prohibits the situation where one transaction reads a row, a second transaction alters the row, and the first transaction rereads the row, getting different values the second time (a "non-repeatable read").

## ◆ SERIALIZABLE

const long SERIALIZABLE = 8

Dirty reads, non-repeatable reads and phantom reads are prevented.

This level includes the prohibitions in `REPEATABLE_READ` and further prohibits the situation where one transaction reads all rows that satisfy a WHERE condition, a second transaction inserts a row that satisfies that WHERE condition, and the first transaction rereads for the same condition, retrieving the additional "phantom" row in the second read.